Package org.eclipse.zest.layouts.dataStructures

# Class DisplayIndependentRectangle

java.lang.Object
org.eclipse.zest.layouts.dataStructures.DisplayIndependentRectangle

public class DisplayIndependentRectangle extends Object
This is a rectangle that isn't dependent on awt, swt, or any other library, except layout.

## Field Summary

Fields
Modifier and Type
Field
Description
`double`
`height`
`double`
`width`
`double`
`x`
`double`
`y`

## Constructor Summary

Constructors
Constructor
Description
`DisplayIndependentRectangle()`
`DisplayIndependentRectangle(double x, double y, double width, double height)`
`DisplayIndependentRectangle(DisplayIndependentRectangle rect)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`intersects(DisplayIndependentRectangle rect)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### x

public double x

### y

public double y

### width

public double width

### height

public double height

## Constructor Details

### DisplayIndependentRectangle

public DisplayIndependentRectangle()

### DisplayIndependentRectangle

public DisplayIndependentRectangle(double x, double y, double width, double height)

### DisplayIndependentRectangle

public DisplayIndependentRectangle(DisplayIndependentRectangle rect)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### intersects

public boolean intersects(DisplayIndependentRectangle rect)